Subject: Pacific Northwest Butterflies

From: Gayle Benton <[email-masked]>
Date: Sun, 28 Apr 1996 13:19:42 -0700

In the last year I have moved to the San Juan Islands from Southern
California where we had wonderful field guides and information pertaining to
that area.  I am now really struggling with butterfly identification due to
lack of information for this area.  The pertinent guides are out of print
and, so far, I have been unable to find a source. I know that Pyle is
supposed to be coming out with a new guide but that doesn't help me now.
Does anyone know of a source for Pyle's or Christensen's out of print guides
on Pacific Northwest butterflies?

[email-masked]
Orcas Island, Washington